Package pywbem :: Module tupleparse |
[frames] | no frames]

# Module tupleparse

source code

Tuple parser for the XML schema representing CIM messages.

This framework is meant to add some value to the tuple-tree representation of CIM in XML by having the following properties:

> - Silently ignoring whitespace text elements
> - Conversion from tuple-tree representation into a python dictionary which can then be accessed in a readable fashion.
> - Validation of the XML elements and attributes without having to use the DTD file or any external tools.

Classes
| ParseError This exception is raised when there is a validation error detected by the parser.

Functions
parse_cim(tt) <!ELEMENT CIM (MESSAGE | DECLARATION)>... | source code
parse_any(tt) Parse any fragment of XML. | source code

Function Details

### parse_cim(tt) | source code
    <!ELEMENT CIM (MESSAGE | DECLARATION)>
    <!ATTLIST CIM
        CIMVERSION CDATA #REQUIRED
        DTDVERSION CDATA #REQUIRED>